<%@ taglib uri='struts-bean' prefix='bean' %>
<%@ taglib uri='struts-logic' prefix='logic' %>
<%@ taglib uri='struts-html' prefix='html' %>

<logic:equal name="peForm" property="alertEvent" value="true" >
  <h2>Alert Information</h2>
</logic:equal>

<logic:notEqual name="peForm" property="alertEvent" value="true" >
  <h2>Event Information</h2>
</logic:notEqual>

<table id="eventFormTable">
  <tr>
    <td class="fieldName">
      Title:
    </td>
    <td>
      <bean:write name="peForm" property="event.shortdesc" />
    </td>
  </tr>
  <tr>
    <td class="fieldName">
      Start date/time:
    </td>
    <td>
      <div class="dateFields">
        <bean:write name="peForm" property="eventStartDate.month" />/
        <bean:write name="peForm" property="eventStartDate.day" />/
        <bean:write name="peForm" property="eventStartDate.year" />&nbsp;
      </div>
      <div class="timeFields">
        <logic:equal name="peForm" property="eventStartDate.hour" value="-1" >
          No time
        </logic:equal>
        <logic:notEqual name="peForm" property="eventStartDate.hour" value="-1" >
          <bean:write name="peForm" property="eventStartDate.hour" />:
          <bean:write name="peForm" property="eventStartDate.minute" />&nbsp;
          <logic:notEqual name="peForm" property="hour24" value="true" >
            <bean:write name="peForm" property="eventStartDate.ampm"/>
          </logic:notEqual>
        </logic:notEqual>
      </div>
    </td>
  </tr>
  <tr>
    <td class="fieldName">
      End date/time:
    </td>
    <td>
      <div class="dateFields">
      <div class="dateFields">
        <bean:write name="peForm" property="eventEndDate.month" />/
        <bean:write name="peForm" property="eventEndDate.day" />/
        <bean:write name="peForm" property="eventEndDate.year" />&nbsp;
      </div>
      <div class="timeFields">
        <logic:equal name="peForm" property="eventEndDate.hour" value="-1" >
          No time
        </logic:equal>
        <logic:notEqual name="peForm" property="eventEndDate.hour" value="-1" >
          <bean:write name="peForm" property="eventEndDate.hour" />:
          <bean:write name="peForm" property="eventEndDate.minute" />&nbsp;
          <logic:notEqual name="peForm" property="hour24" value="true" >
            <bean:write name="peForm" property="eventEndDate.ampm"/>
          </logic:notEqual>
        </logic:notEqual>
      </div>
    </td>
  </tr>

  <tr>
    <td class="fieldName">
      Category:
    </td>
    <logic:present name="peForm" property="event.keyword[0]" >
      <td>
        <bean:write name="peForm" property="event.keyword[0].word" />
      </td>
    </logic:present>
  </tr>

  <tr>
    <td class="fieldName">
      Description:
    </td>
    <td>
      <bean:write name="peForm" property="event.longdesc" />
    </td>
  </tr>

  <tr>
    <td class="optional">
      URL:
    </td>
    <td>
      <bean:write name="peForm" property="event.link" />
    </td>
  </tr>

  <tr>
    <td class="optional">
      Price:
    </td>
    <td>
      <bean:write name="peForm" property="event.cost" />
    </td>
  </tr>

  <logic:present name="peForm" property="event.location" >
    <tr>
      <td class="fieldName">
        Location:
      </td>
      <td>
        <bean:write name="peForm" property="event.location.address" />
      </td>
    </tr>
  </logic:present>

  <logic:present name="peForm" property="event.sponsor" >
    <tr>
      <td class="fieldName">
        Contact:
      </td>
      <td>
        <bean:write name="peForm" property="event.sponsor.name" />
      </td>
    </tr>
  </logic:present>
</table>

