/*++RecurAccepted.java++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.cap;


import  edu.washington.cac.calendar.icalendar.BooleanProp;


/**
 * CAP RECUR-ACCEPTED property.
 *
 *<PRE>	<!-- for alignment purposes -->&nbsp;
 * Spec:
 *   section:	9.3 [CAP]
 *   occurs:	1 (VREPLY (GET-CAPABILTIES))
 *   datatypes:	BOOLEAN (1)
 *   default:	---
 *   allowed:	---
 *   params:	xparam (0+)???
 *</PRE>
 *
 * @author slh
 * @version 0.00 2002/11/05 slh
 */
public
class  RecurAccepted
extends  BooleanProp
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  /**
   * Create a RECUR-ACCEPTED property, unset.
   */
  public
  RecurAccepted  (		)
  {
    super( Names.strProp_RecurAccepted );
  }


  /**
   * Create a RECUR-ACCEPTED property set to supplied value.
   */
  public
  RecurAccepted  (String	strValue	)
  {
    super( Names.strProp_RecurAccepted , strValue );
  }


  /**
   * Create a RECUR-ACCEPTED property set to supplied value.
   */
  public
  RecurAccepted  (int	iValue	)
  {
    super( Names.strProp_RecurAccepted , iValue );
  }


  /**
   * Create a RECUR-ACCEPTED property set to supplied value.
   */
  public
  RecurAccepted  (boolean	bValue	)
  {
    super( Names.strProp_RecurAccepted , bValue );
  }

}


/* Log:
 *  0.00  2002/10/29, 2002/11/05  slh
 *        create from icalendar/BooleanProp.java
 */
/*--RecurAccepted.java------------------------------------------------------*/
