/*++StoresExpanded.java+++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.cap;


import  edu.washington.cac.calendar.icalendar.BooleanProp;


/**
 * CAP STORES-EXPANDED property.
 *
 *<PRE>	<!-- for alignment purposes -->&nbsp;
 * Spec:
 *   section:	10.3 [CAP/09]
 *   occurs:	1 (VREPLY (GET-CAPABILTIES))
 *   datatypes:	BOOLEAN (1)
 *   default:	"FALSE"
 *   allowed:	---
 *   params:	xparam (0+)???
 *</PRE>
 *
 * @author slh
 * @version 0.00 2002/11/13 slh
 */
public
class  StoresExpanded
extends  BooleanProp
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  /**
   * Create a STORES-EXPANDED property set to default.
   */
  public
  StoresExpanded  (		)
  {
    this( mc_strDefault );
  }


  /**
   * Create a STORES-EXPANDED property set to supplied value.
   */
  public
  StoresExpanded  (String	strValue	)
  {
    super( Names.strProp_StoresExpanded , strValue );
  }


  /**
   * Create a STORES-EXPANDED property set to supplied value.
   */
  public
  StoresExpanded  (int	iValue	)
  {
    super( Names.strProp_StoresExpanded , iValue );
  }


  /**
   * Create a STORES-EXPANDED property set to supplied value.
   */
  public
  StoresExpanded  (boolean	bValue	)
  {
    super( Names.strProp_StoresExpanded , bValue );
  }


/*----------------------------------------------------------------------------
 *						Class Public Constants
 *--------------------------------------------------------------------------*/

  final static public  String	mc_strDefault	= "FALSE";

}


/* Log:
 *  0.00  2002/10/29, 2002/11/05, 2002/11/13  slh
 *        create from RecurAccepted.java
 */
/*--StoresExpanded.java-----------------------------------------------------*/
