/*++Attach.java+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.icalendar;


/**
 * iCalendar ATTACH property.
 *
 *<PRE>	<!-- for alignment purposes -->&nbsp;
 *   section:	4.8.1.1 [2445]
 *   occurs:	VEVENT(0+), VTODO(0+), VJOURNAL(0+), VALARM(0-1)
 *   datatypes:	URI, BINARY (1)
 *   default:	---
 *   allowed:	---
 *   params:	ENCODING(0-1), VALUE(0-1), FMTTYPE(0-1), xparam(0+)
 *</PRE>
 *
 * @author  slh
 * @version  0.00 2003/02/12 slh
 */
public
class  Attach
extends  UnsupProp
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  /*Note: attempting to use the default constructor is wrong*/


  /* this is the base constructor */
  /**
   * Create a ATTACH property, unset.
   */
  public
  Attach  (		)
  {
    super( Names.strProp_Attach );
  }


  /**
   * Create a Attach property set to supplied value.
   */
  public
  Attach  (String	strValue	)
  {
    super( Names.strProp_Attach , strValue );
  }

}


/* Log:
 *  0.00  2003/02/12  slh
 *        create
 */
/*--Attach.java-------------------------------------------------------------*/
