/* **********************************************************************
    Copyright 2003 Rensselaer Polytechnic Institute.

    All worldwide rights reserved. A license to use, copy, modify and
    distribute this software for noncommercial research purposes only is
    hereby granted, provided that this copyright notice and accompanying
    disclaimer is not modified or removed from the software.

    DISCLAIMER: The software is distributed" AS IS" without any express or
    implied warranty, including but not limited to, any implied warranties
    of merchantability or fitness for a particular purpose or any warrant)'
    of non-infringement of any current or pending patent rights. The authors
    of the software make no representations about the suitability of this
    software for any particular purpose. The entire risk as to the quality
    and performance of the software is with the user. Should the software
    prove defective, the user assumes the cost of all necessary servicing,
    repair or correction. In particular, neither Rensselaer Polytechnic
    Institute, nor the authors of the software are liable for any indirect,
    special, consequential, or incidental damages related to the software,
    to the maximum extent the law permits.
*/

package edu.tests.washington.cac.calfacade;

import edu.washington.cac.calfacade.shared.Calintf;
import edu.washington.cac.calfacade.shared.CalintfFactory;
import edu.washington.cac.calfacade.shared.UserAuth;

import junit.framework.TestCase;
import junit.framework.TestCase;

/** Test the UserAuth class
 *
 * <p>We use this test to ensure the UserAuth classes function enough for
 * this test framework. I'm not sure we can test the roles based version for
 * example, as this requires a servlet.
 *
 * <p>The assumption we're making here is that we don't need to pass any
 * object to the class. It's probably a db based version.
 *
 * @author Mike Douglass       douglm@rpi.edu
 */
public class UserAuthTest extends TestCase {
  private UserAuth ua;

  private boolean debug = true;

  private static String user = "caladmin";

  public void testUserAuth() throws Throwable {
    ua = getUserAuth(user, UserAuth.superUser, true);

    assertTrue("Access should be " + UserAuth.superUser, ua.isSuperUser());
  }

  public UserAuth getUserAuth(String user,
                              int access,
                              boolean publicAdmin) {
    try {
      if (ua == null) {
        Calintf cali = CalintfFactory.getCalintf(null, user, access,
                                                 user == null,
                                                 publicAdmin, debug);
        ua = cali.getUserAuth();
        ua.initialise(user, null);
      }
    } catch (Throwable t) {
      t.printStackTrace();
      fail(t.getMessage());
    }

    return ua;
  }
}

